Subject: Re: w3m browser/pager
From: Jason Tishler <[email-masked]>
To: Duke Normandin <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Tue, 27 Feb 2001 09:45:57 -0500

Duke,

On Mon, Feb 26, 2001 at 09:36:58AM -0700, Duke Normandin wrote:
> Anybody have "w3m" working in their Cygwin environment? Mine works, but
> when I call for the "w3m" help file, it searches:
> 	cygnus/cygwin-b20/h-i586-cygwin32/lib/w3m/w3mhelpxxxxxxx.html
>     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> what the hell path is this? Do I need to set up an Env. Var.? Tia...

What version of w3m are you using?  Was it pre-built or did you build it
yourself?

I attempted to use the pre-built 0.1.9 but it crashes on Cygwin 1.1.8.
I also have attempted to build 0.1.9, 0.1.10, and 0.1.11pre and all
fail during compilation with what appears to be sloppy coding.

I have found the following on the w3m developers list:

    http://mi.med.tohoku.ac.jp/~satodai/w3m-dev-en/200009.month/223.html

In the above, the author supplies a patch against 0.1.11-tb6 but I cannot
find the corresponding source archive (unless 0.1.11-tb6 is just another
name for 0.1.11pre).  Addtionally, the patch does not correct the problems
that I have already found in 0.1.11pre.

Can anyone offer suggestions or patches on how to get w3m to build cleanly
under Cygwin?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple